//===========================================================
//  Dialog z wyborem mocy
//===========================================================

BEGIN ~W_POWS~

//!cBegin START
IF ~GlobalLT("W_POWS","LOCALS",1)
    Global("W_POWSD","LOCALS",1)
~ THEN BEGIN X // from:
  SAY @400
IF ~~ THEN REPLY @401 DO ~
//DoubleClickLButtonObject(Myself,INSTANT)
  SetGlobal("W_POWSD","LOCALS",0)
  SetGlobal("W_3SetJD","LOCALS",1)
~ GOTO QUIT
END
//==========================================================
IF ~Global("W_POWS","LOCALS",1)
    Global("W_POWSD","LOCALS",1)
    Global("W_P003a","LOCALS",2)
~ THEN BEGIN W_P003HLA // from:
  SAY @402
IF ~
  ~ THEN REPLY @421 GOTO 100
IF ~
  ~ THEN REPLY @422 GOTO 200
IF ~
  ~ THEN REPLY @423 GOTO 300
IF ~
  ~ THEN REPLY @424 GOTO 400
IF ~
  ~ THEN REPLY @425 GOTO 500
IF ~
  ~ THEN REPLY @426 GOTO 600
IF ~
  ~ THEN REPLY @427 GOTO 700
IF ~
  ~ THEN REPLY @428 GOTO 800

IF ~~ THEN REPLY @401 DO ~
//DoubleClickLButtonObject(Myself,INSTANT)
  SetGlobal("W_POWSD","LOCALS",0)
  SetGlobal("W_3SetJD","LOCALS",1)
~ GOTO QUIT
END
//==========================================================
IF ~GlobalGT("W_POWS","LOCALS",0)
    Global("W_POWSD","LOCALS",1)
~ THEN BEGIN 0 // from:
  SAY @411
IF ~OR(9)
      GlobalGT("W_POWS1","LOCALS",0)
      GlobalGT("W_POWS2","LOCALS",0)
      GlobalGT("W_POWS3","LOCALS",0)
      GlobalGT("W_POWS4","LOCALS",0)
      GlobalGT("W_POWS5","LOCALS",0)
      GlobalGT("W_POWS6","LOCALS",0)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @421 GOTO 100
IF ~//Global("W_POWS1","LOCALS",0)
    OR(8)
      GlobalGT("W_POWS2","LOCALS",0)
      GlobalGT("W_POWS3","LOCALS",0)
      GlobalGT("W_POWS4","LOCALS",0)
      GlobalGT("W_POWS5","LOCALS",0)
      GlobalGT("W_POWS6","LOCALS",0)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @422 GOTO 200
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    OR(7)
      Global("W_POWS3","LOCALS",1)
      Global("W_POWS4","LOCALS",1)
      Global("W_POWS5","LOCALS",1)
      Global("W_POWS6","LOCALS",1)
      Global("W_POWS7","LOCALS",1)
      Global("W_POWS8","LOCALS",1)
      Global("W_POWS9","LOCALS",1)
  ~ THEN REPLY @423 GOTO 300
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    OR(6)
      GlobalGT("W_POWS4","LOCALS",0)
      GlobalGT("W_POWS5","LOCALS",0)
      GlobalGT("W_POWS6","LOCALS",0)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @424 GOTO 400
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    //Global("W_POWS4","LOCALS",0)
    OR(5)
      GlobalGT("W_POWS5","LOCALS",0)
      GlobalGT("W_POWS6","LOCALS",0)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @425 GOTO 500
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    //Global("W_POWS4","LOCALS",0)
    //Global("W_POWS5","LOCALS",0)
    OR(4)
      GlobalGT("W_POWS6","LOCALS",0)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @426 GOTO 600
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    //Global("W_POWS4","LOCALS",0)
    //Global("W_POWS5","LOCALS",0)
    //Global("W_POWS6","LOCALS",0)
    OR(3)
      GlobalGT("W_POWS7","LOCALS",0)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @427 GOTO 700
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    //Global("W_POWS4","LOCALS",0)
    //Global("W_POWS5","LOCALS",0)
    //Global("W_POWS6","LOCALS",0)
    //Global("W_POWS7","LOCALS",0)
    OR(2)
      GlobalGT("W_POWS8","LOCALS",0)
      GlobalGT("W_POWS9","LOCALS",0)
  ~ THEN REPLY @428 GOTO 800
IF ~//Global("W_POWS1","LOCALS",0)
    //Global("W_POWS2","LOCALS",0)
    //Global("W_POWS3","LOCALS",0)
    //Global("W_POWS4","LOCALS",0)
    //Global("W_POWS5","LOCALS",0)
    //Global("W_POWS6","LOCALS",0)
    //Global("W_POWS7","LOCALS",0)
    //Global("W_POWS8","LOCALS",0)
    GlobalGT("W_POWS9","LOCALS",0)
    !Global("W_P003a","LOCALS",2)
  ~ THEN REPLY @429 GOTO 900

IF ~~ THEN REPLY @401 DO ~
//DoubleClickLButtonObject(Myself,INSTANT)
  SetGlobal("W_POWSD","LOCALS",0)
  SetGlobal("W_3SetJD","LOCALS",1)
~ GOTO QUIT
END
//!cEnd START
//==========================================================
//!cBegin L1
IF ~~ THEN BEGIN 100
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW101","LOCALS",0)
  ~ THEN REPLY ~Psionic Grease~ GOTO 101a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW102","LOCALS",0)   
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Psionic Charm~ GOTO 102a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW103","LOCALS",0)
  ~ THEN REPLY ~Deceleration~ GOTO 103a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW104","LOCALS",0)
  ~ THEN REPLY ~Vigor~ GOTO 104a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW105","LOCALS",0)  
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",2)//shaper
  ~ THEN REPLY ~Astral Construct~ GOTO 105a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW106","LOCALS",0)
  ~ THEN REPLY ~Defensive Precognition~ GOTO 106a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW107","LOCALS",0)
  ~ THEN REPLY ~Offensive Precognition~ GOTO 107a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW108","LOCALS",0)
  ~ THEN REPLY ~Bolt~ GOTO 108a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW109","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)////egoist
  ~ THEN REPLY ~Claws Of The Beast~ GOTO 109a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW110","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",1)//seer
  ~ THEN REPLY ~Destiny Dissonance~ GOTO 110a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW111","LOCALS",0)
  ~ THEN REPLY ~Detect Psionics~ GOTO 111a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW112","LOCALS",0)
  ~ THEN REPLY ~Energy ray~ GOTO 112a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW113","LOCALS",0)   
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",5)//nomad
  ~ THEN REPLY ~Burst~ GOTO 113a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW114","LOCALS",0)
  ~ THEN REPLY ~Mind Thrust~ GOTO 114a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW115","LOCALS",0)
  ~ THEN REPLY ~Crystal Shard~ GOTO 115a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW117","LOCALS",0)
  ~ THEN REPLY ~Matter Agitation~ GOTO 117a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW118","LOCALS",0)
  ~ THEN REPLY ~Inertial Armor~ GOTO 118a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 101a
  SAY @10101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW101","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P101")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 102a
  SAY @10201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW102","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P102") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END           

IF ~~ THEN BEGIN 103a
  SAY @10301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW103","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P103")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 104a
  SAY @10401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW104","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P104") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 105a
  SAY @10501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW105","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P105") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 106a
  SAY @10601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW106","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P106") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 107a
  SAY @10701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW107","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P107") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 108a
  SAY @10801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW108","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P108") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 109a
  SAY @10901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW109","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P109") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 110a
  SAY @11001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW110","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P110") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END 

IF ~~ THEN BEGIN 111a
  SAY @11101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW111","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P111") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END 

IF ~~ THEN BEGIN 112a
  SAY @11201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW112","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P112") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END 

IF ~~ THEN BEGIN 113a
  SAY @11301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW113","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P113") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END 

IF ~~ THEN BEGIN 114a
  SAY @11401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW114","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P114") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END      

IF ~~ THEN BEGIN 115a
  SAY @11501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW115","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P115")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 117a
  SAY @11701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW117","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P117")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END

IF ~~ THEN BEGIN 118a
  SAY @11801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW118","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P118")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 100
END
//!cEnd L1
//==========================================================
//!cBegin L2
IF ~~ THEN BEGIN 200
  SAY @413

//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW201","LOCALS",0)
//  ~ THEN REPLY ~Power 201 ~ GOTO 201a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW202","LOCALS",0)
  ~ THEN REPLY ~Specified Energy Adaptation~ GOTO 202a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW203","LOCALS",0)
  ~ THEN REPLY ~Knock~ GOTO 203a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW204","LOCALS",0)      
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Mental Rage~ GOTO 204a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW205","LOCALS",0)     
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",5)//nomad
  ~ THEN REPLY ~Flash Dimention slip~ GOTO 205a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW206","LOCALS",0)
  ~ THEN REPLY ~Multiply Pain~ GOTO 206a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW207","LOCALS",0)
  ~ THEN REPLY ~Concealing Amorpha~ GOTO 207a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW208","LOCALS",0)   
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Animal Affinity~ GOTO 208a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW209","LOCALS",0)  
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Empathic Transfer~ GOTO 209a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW210","LOCALS",0)
  ~ THEN REPLY ~Bend Space~ GOTO 210a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW211","LOCALS",0)
  ~ THEN REPLY ~Energy Stun~ GOTO 211a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW212","LOCALS",0)
  ~ THEN REPLY ~Call identyfication scroll~ GOTO 212a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW213","LOCALS",0)
  ~ THEN REPLY ~Serenity~ GOTO 213a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW214","LOCALS",0)      
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",1)//seer
  ~ THEN REPLY ~Clairvoyant Sense~ GOTO 214a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW215","LOCALS",0)   
//  OR(3)
//    GlobalGT("W_P003","LOCALS",0)
//    Global("W_DISCIP","LOCALS",99)
//    Global("W_DISCIP","LOCALS",5)//nomad
//  ~ THEN REPLY ~Power 215~ GOTO 215a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW216","LOCALS",0)
  ~ THEN REPLY ~Id Insinuation~ GOTO 216a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW217","LOCALS",0)     
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Brain Lock~ GOTO 217a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW218","LOCALS",0)
  ~ THEN REPLY ~Inflict Pain~ GOTO 218a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW219","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",1)//seer
  ~ THEN REPLY ~Find the Heart~ GOTO 219a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW220","LOCALS",0)
  ~ THEN REPLY ~Concussion Blast~ GOTO 220a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW221","LOCALS",0)
  ~ THEN REPLY @22199 GOTO 221a
IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 201a
  SAY @20101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW201","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P201") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 202a
  SAY @20201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW202","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P202") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END           

IF ~~ THEN BEGIN 203a
  SAY @20301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW203","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P203") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 204a
  SAY @20401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW204","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P204") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 205a
  SAY @20501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW205","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P205") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 206a
  SAY @20601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW206","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P206") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 207a
  SAY @20701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW207","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P207") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 208a
  SAY @20801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW208","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P208") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 209a
  SAY @20901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW209","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P209") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 210a
  SAY @21001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW210","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P210") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 211a
  SAY @21101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW211","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P211") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 212a
  SAY @21201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW212","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P212") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 213a
  SAY @21301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW213","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P213") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 214a
  SAY @21401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW214","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P214") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END       

IF ~~ THEN BEGIN 215a
  SAY @21501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW215","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P215")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 216a
  SAY @21601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW216","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P216")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END 

IF ~~ THEN BEGIN 217a
  SAY @21701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW217","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P217")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 218a
  SAY @21801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW218","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P218")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 219a
  SAY @21901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW219","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P219")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 220a
  SAY @22001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW220","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P220")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END

IF ~~ THEN BEGIN 221a
  SAY @22101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW221","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P221")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 200
END
//!cEnd L2
//==========================================================
//!cBegin L3
IF ~~ THEN BEGIN 300
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW301","LOCALS",0)
  ~ THEN REPLY ~Psionic Blast~ GOTO 301a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW302","LOCALS",0)
  ~ THEN REPLY ~Time Hop~ GOTO 302a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW303","LOCALS",0)
  ~ THEN REPLY ~Body Adjustment~ GOTO 303a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW304","LOCALS",0)
  ~ THEN REPLY ~Dispel Psionics~ GOTO 304a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW305","LOCALS",0)
//  ~ THEN REPLY ~Dismiss Ectoplasm~ GOTO 305a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW306","LOCALS",0)
  ~ THEN REPLY ~Eradicate Invisibility~ GOTO 306a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW307","LOCALS",0)
  ~ THEN REPLY ~Energy Retort~ GOTO 307a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW308","LOCALS",0)
  ~ THEN REPLY ~Cerebral Phantasm~ GOTO 308a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW309","LOCALS",0)
  ~ THEN REPLY ~Antidote Simulation~ GOTO 309a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW310","LOCALS",0)
  ~ THEN REPLY ~Energy Burst~ GOTO 310a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW311","LOCALS",0)       
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",2)//shaper
  ~ THEN REPLY ~Greater Concealing Amorpha~ GOTO 311a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW312","LOCALS",0)          
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",2)//shaper
  ~ THEN REPLY ~Ectoplasmic Cocoon~ GOTO 312a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW313","LOCALS",0)
  ~ THEN REPLY ~Aura Sight~ GOTO 313a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW314","LOCALS",0)
  ~ THEN REPLY ~Ubiquitous Vision~ GOTO 314a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 301a
  SAY @30101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW301","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P301") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 302a
  SAY @30201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW302","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P302") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END           

IF ~~ THEN BEGIN 303a
  SAY @30301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW303","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P303") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 304a
  SAY @30401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW304","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P304") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 305a
  SAY @30501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW305","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P305") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 0
END

IF ~~ THEN BEGIN 306a
  SAY @30601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW306","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P306") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 307a
  SAY @30701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW307","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P307") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 308a
  SAY @30801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW308","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P308") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 309a
  SAY @30901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW309","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P309") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 310a
  SAY @31001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW310","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P310") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END

IF ~~ THEN BEGIN 311a
  SAY @31101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW311","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P311") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END 

IF ~~ THEN BEGIN 312a
  SAY @31201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW312","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P312") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END 

IF ~~ THEN BEGIN 313a
  SAY @31301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW313","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P313") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END 

IF ~~ THEN BEGIN 314a
  SAY @31401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW314","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P314") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 300
END       
//!cEnd L3
//==========================================================
//!cBegin L4
IF ~~ THEN BEGIN 400
  SAY @413

//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW401","LOCALS",0)
//  ~ THEN REPLY ~Forced Dimension Slip ~ GOTO 401a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW402","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",3)//kineticists
  ~ THEN REPLY ~Energy Ball ~ GOTO 402a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW403","LOCALS",0)
  ~ THEN REPLY ~Freedom of Movement ~ GOTO 403a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW404","LOCALS",0)
  ~ THEN REPLY ~Energy Adaptation ~ GOTO 404a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW405","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Schism ~ GOTO 405a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW406","LOCALS",0)
  ~ THEN REPLY ~Ectoplasmic barrier ~ GOTO 406a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW407","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Metamorphosis ~ GOTO 407a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW408","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Psionic Dominate ~ GOTO 408a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW409","LOCALS",0)
  ~ THEN REPLY ~Mindwipe ~ GOTO 409a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW410","LOCALS",0)
//  ~ THEN REPLY ~Death Urge ~ GOTO 410a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW411","LOCALS",0)
  ~ THEN REPLY ~Energy flash ~ GOTO 411a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW412","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",5)//nomad
  ~ THEN REPLY ~Psionic Dismissal ~ GOTO 412a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW413","LOCALS",0)
//  ~ THEN REPLY ~Power 413 ~ GOTO 413a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW414","LOCALS",0)
//  ~ THEN REPLY ~Power 414 ~ GOTO 414a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 401a
  SAY @40101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW401","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P401") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 402a
  SAY @40201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW402","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P402") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END           

IF ~~ THEN BEGIN 403a
  SAY @40301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW403","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P403") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 404a
  SAY @40401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW404","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P404") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 405a
  SAY @40501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW405","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P405") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 406a
  SAY @40601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW406","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P406") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 407a
  SAY @40701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW407","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P407") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 408a
  SAY @40801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW408","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P408") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 409a
  SAY @40901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW409","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P409") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 410a
  SAY @41001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW410","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P410") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END

IF ~~ THEN BEGIN 411a
  SAY @41101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW411","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P411") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END 

IF ~~ THEN BEGIN 412a
  SAY @41201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW412","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P412") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END 

IF ~~ THEN BEGIN 413a
  SAY @41301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW413","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P413") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END 

IF ~~ THEN BEGIN 414a
  SAY @41401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW414","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P414") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 400
END
//!cEnd L4
//==========================================================
//!cBegin L5
IF ~~ THEN BEGIN 500
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW501","LOCALS",0)
  ~ THEN REPLY ~Power Resistance ~ GOTO 501a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW502","LOCALS",0)
  ~ THEN REPLY ~Psychic Clone ~ GOTO 502a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW503","LOCALS",0)
  ~ THEN REPLY ~Ectoplasmic Shambler ~ GOTO 503a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW504","LOCALS",0)
  ~ THEN REPLY ~Psionic True Seeing ~ GOTO 504a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW505","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Psionic Revivify ~ GOTO 505a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW506","LOCALS",0)
//  ~ THEN REPLY ~Power 506 ~ GOTO 506a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW507","LOCALS",0)
  ~ THEN REPLY ~Greater stomp~ GOTO 507a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW508","LOCALS",0)
  Global("RZAR0700","GLOBAL",1) //teleport mod
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",5)//nomad
  ~ THEN REPLY ~Psionic Teleport ~ GOTO 508a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW509","LOCALS",0)
//  ~ THEN REPLY ~Power 509 ~ GOTO 509a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW510","LOCALS",0)
//  ~ THEN REPLY ~Power 510 ~ GOTO 510a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW511","LOCALS",0)
  ~ THEN REPLY ~Lower Power Resistance ~ GOTO 511a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW512","LOCALS",0)
  ~ THEN REPLY ~Force Fate ~ GOTO 512a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW513","LOCALS",0)
//  ~ THEN REPLY ~Power 513 ~ GOTO 513a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW514","LOCALS",0)
  ~ THEN REPLY ~Burning Blood~ GOTO 514a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 501a
  SAY @50101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW501","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P501") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 502a
  SAY @50201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW502","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P502") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END           

IF ~~ THEN BEGIN 503a
  SAY @50301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW503","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P503") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 504a
  SAY @50401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW504","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P504") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 505a
  SAY @50501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW505","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P505") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 506a
  SAY @50601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW506","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P506") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 507a
  SAY @50701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW507","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P507") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 508a
  SAY @50801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW508","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P508") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 509a
  SAY @50901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW509","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P509") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 510a
  SAY @51001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW510","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P510")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END

IF ~~ THEN BEGIN 511a
  SAY @51101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW511","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P511") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END 

IF ~~ THEN BEGIN 512a
  SAY @51201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW512","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P512") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END 

IF ~~ THEN BEGIN 513a
  SAY @51301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW513","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P513") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END 

IF ~~ THEN BEGIN 514a
  SAY @51401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW514","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P514") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 500
END
//!cEnd L5
//==========================================================
//!cBegin L6
IF ~~ THEN BEGIN 600
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW601","LOCALS",0)
  ~ THEN REPLY ~Disintegrate~ GOTO 601a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW602","LOCALS",0)
  ~ THEN REPLY ~Temporal Acceleration~ GOTO 602a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW603","LOCALS",0)
//  ~ THEN REPLY ~Power 603 ~ GOTO 603a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW604","LOCALS",0)
  ~ THEN REPLY ~Breath of the Black Dragon~ GOTO 604a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW605","LOCALS",0)
  ~ THEN REPLY ~Mass Cloud Mind~ GOTO 605a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW606","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Psionic Restoration~ GOTO 606a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW607","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",3)//kineticists
  ~ THEN REPLY @60799 GOTO 607a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW608","LOCALS",0)
  !Global("W_DISCIP","LOCALS",3)//kineticists
  ~ THEN REPLY @60899 GOTO 608a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW609","LOCALS",0)
//  OR(3)
//    GlobalGT("W_P003","LOCALS",0)
//    Global("W_DISCIP","LOCALS",99)
//    Global("W_DISCIP","LOCALS",3)//kineticists
//  ~ THEN REPLY ~Enegy Barrage ~ GOTO 609a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW610","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",2)//shaper
  ~ THEN REPLY ~Crystallize~ GOTO 610a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW611","LOCALS",0)
  ~ THEN REPLY ~Mind over Energy~ GOTO 611a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW612","LOCALS",0)
  !Global("W_BGEE","GLOBAL",1)
  ~ THEN REPLY ~Summon Planar Ally~ GOTO 612a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW613","LOCALS",0)
//  ~ THEN REPLY ~Power 613 ~ GOTO 613a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW614","LOCALS",0)
//  ~ THEN REPLY ~Power 614 ~ GOTO 614a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 601a
  SAY @60101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW601","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P601") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 602a
  SAY @60201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW602","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P602") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END           

IF ~~ THEN BEGIN 603a
  SAY @60301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW603","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P603") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 604a
  SAY @60401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW604","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P604") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 605a
  SAY @60501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW605","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P605") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 606a
  SAY @60601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW606","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P606") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 607a
  SAY @60701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW607","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P607") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 608a
  SAY @60801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW608","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P608") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 609a
  SAY @60901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW609","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P609") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 610a
  SAY @61001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW610","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P610") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END

IF ~~ THEN BEGIN 611a
  SAY @61101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW611","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P611") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END 

IF ~~ THEN BEGIN 612a
  SAY @61201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW612","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P612") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END 

IF ~~ THEN BEGIN 613a
  SAY @61301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW613","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P613") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END 

IF ~~ THEN BEGIN 614a
  SAY @61401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW614","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P614") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 600
END
//!cEnd L6
//==========================================================
//!cBegin L7
IF ~~ THEN BEGIN 700
  SAY @413

//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW701","LOCALS",0)
//  ~ THEN REPLY ~Phase Door ~ GOTO 701a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW702","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Fission ~ GOTO 702a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW703","LOCALS",0)
  ~ THEN REPLY ~Insanity ~ GOTO 703a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW704","LOCALS",0)
  ~ THEN REPLY ~Personal Mind Blank ~ GOTO 704a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW705","LOCALS",0)
  ~ THEN REPLY ~Oak Body ~ GOTO 705a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW706","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",3)//kineticists
  ~ THEN REPLY ~Reddopsi ~ GOTO 706a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW707","LOCALS",0)
//  ~ THEN REPLY ~Power 707 ~ GOTO 707a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW708","LOCALS",0)
//  ~ THEN REPLY ~Power 708 ~ GOTO 708a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW709","LOCALS",0)
//  ~ THEN REPLY ~Power 709 ~ GOTO 709a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW710","LOCALS",0)
  ~ THEN REPLY ~Energy Wave~ GOTO 710a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW711","LOCALS",0)
//  ~ THEN REPLY ~Power 711 ~ GOTO 711a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW712","LOCALS",0)
//  ~ THEN REPLY ~Power 712 ~ GOTO 712a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW713","LOCALS",0)
//  ~ THEN REPLY ~Power 713 ~ GOTO 713a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW714","LOCALS",0)
//  ~ THEN REPLY ~Power 714 ~ GOTO 714a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 701a
  SAY @70101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW701","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P701") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 702a
  SAY @70201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW702","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P702") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END           

IF ~~ THEN BEGIN 703a
  SAY @70301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW703","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P703") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 704a
  SAY @70401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW704","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P704") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 705a
  SAY @70501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW705","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P705")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 706a
  SAY @70601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW706","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P706") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 707a
  SAY @70701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW707","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P707") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 708a
  SAY @70801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW708","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P708") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 709a
  SAY @70801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW709","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P709") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 710a
  SAY @71001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW710","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P710") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END

IF ~~ THEN BEGIN 711a
  SAY @71101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW711","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P711") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END 

IF ~~ THEN BEGIN 712a
  SAY @71201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW712","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P712") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END 

IF ~~ THEN BEGIN 713a
  SAY @71301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW713","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P713") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END 

IF ~~ THEN BEGIN 714a
  SAY @71401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW714","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P714") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 700
END 
//!cEnd L7
//==========================================================
//!cBegin L8
IF ~~ THEN BEGIN 800
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW801","LOCALS",0)
  ~ THEN REPLY ~Mind blank ~ GOTO 801a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW802","LOCALS",0)
//  OR(3)
//    GlobalGT("W_P003","LOCALS",0)
//    Global("W_DISCIP","LOCALS",99)
//    Global("W_DISCIP","LOCALS",3)//kineticists
//  ~ THEN REPLY ~Psionic Telekinetic Sphere ~ GOTO 802a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW803","LOCALS",0)
  Global("RZAR0700","GLOBAL",1) // teleport mod
  ~ THEN REPLY ~Psionic Greater Teleport ~ GOTO 803a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW804","LOCALS",0)
  ~ THEN REPLY ~Shadow Body ~ GOTO 804a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW805","LOCALS",0)
  ~ THEN REPLY ~True Metabolism ~ GOTO 805a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW806","LOCALS",0)
//  ~ THEN REPLY ~Matter Manipulation ~ GOTO 806a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW807","LOCALS",0)
  ~ THEN REPLY ~Psionic Iron Body ~ GOTO 807a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW808","LOCALS",0)
  ~ THEN REPLY ~Recall Death ~ GOTO 808a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW809","LOCALS",0)
//  ~ THEN REPLY ~Bend Reality	 ~ GOTO 809a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW810","LOCALS",0)
//  ~ THEN REPLY ~Mass Time Hop ~ GOTO 810a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW811","LOCALS",0)
//  ~ THEN REPLY ~Power 811 ~ GOTO 811a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW812","LOCALS",0)
//  ~ THEN REPLY ~Power 812 ~ GOTO 812a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW813","LOCALS",0)
//  ~ THEN REPLY ~Power 813 ~ GOTO 813a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW814","LOCALS",0)
//  ~ THEN REPLY ~Power 814 ~ GOTO 814a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 801a
  SAY @80101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW801","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P801") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 802a
  SAY @80201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW802","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P802") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END           

IF ~~ THEN BEGIN 803a
  SAY @80301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW803","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P803") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 804a
  SAY @80401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW804","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P804") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 805a
  SAY @80501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW805","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P805") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 806a
  SAY @80601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW806","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P806") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 807a
  SAY @80701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW807","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P807") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 808a
  SAY @80801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW808","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P808") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 809a
  SAY @80901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW809","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P809") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 810a
  SAY @81001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW810","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P810") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END

IF ~~ THEN BEGIN 811a
  SAY @81101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW811","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P811") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END 

IF ~~ THEN BEGIN 812a
  SAY @81201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW812","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P812") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END 

IF ~~ THEN BEGIN 813a
  SAY @81301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW813","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P813") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END 

IF ~~ THEN BEGIN 814a
  SAY @81401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW814","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P814") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 800
END
//!cEnd L8
//==========================================================
//!cBegin L9
IF ~~ THEN BEGIN 900
  SAY @413

IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW901","LOCALS",0)
  ~ THEN REPLY ~Timeless Body ~ GOTO 901a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW902","LOCALS",0)
//  ~ THEN REPLY ~Power 902 ~ GOTO 902a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW903","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",8)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",6)//telepath
  ~ THEN REPLY ~Psychic Chirurgery ~ GOTO 903a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW904","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",8)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",4)//egoist
  ~ THEN REPLY ~Greater Metamorphosis ~ GOTO 904a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW905","LOCALS",0)
  ~ THEN REPLY ~Assimilate ~ GOTO 905a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW906","LOCALS",0)
//  ~ THEN REPLY ~Power 906 ~ GOTO 906a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW907","LOCALS",0)
  ~ THEN REPLY ~Urge extermination ~ GOTO 907a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW908","LOCALS",0)
  ~ THEN REPLY ~Freezing Torrent~ GOTO 908a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW909","LOCALS",0)
  OR(3)
    GlobalGT("W_P003","LOCALS",0)
    Global("W_DISCIP","LOCALS",99)
    Global("W_DISCIP","LOCALS",1)//seer                                 
  ~ THEN REPLY ~Metafaculty~ GOTO 909a
IF ~GlobalGT("W_POWS","LOCALS",0)
  Global("W_POW910","LOCALS",0)
  ~ THEN REPLY @91099 GOTO 910a  //Stygian Conflagration
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW911","LOCALS",0)
//  ~ THEN REPLY ~Power 911 ~ GOTO 911a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW912","LOCALS",0)
//  ~ THEN REPLY ~Power 912 ~ GOTO 912a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW913","LOCALS",0)
//  ~ THEN REPLY ~Power 913 ~ GOTO 913a
//IF ~GlobalGT("W_POWS","LOCALS",0)
//  Global("W_POW914","LOCALS",0)
//  ~ THEN REPLY ~Power 914 ~ GOTO 914a

IF ~~ THEN REPLY @403 GOTO 0
END

//==========================================================

IF ~~ THEN BEGIN 901a
  SAY @90101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW901","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P901") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 902a
  SAY @90201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW902","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P902") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END           

IF ~~ THEN BEGIN 903a
  SAY @90301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW903","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P903") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 904a
  SAY @90401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW904","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P904") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 905a
  SAY @90501
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW905","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P905")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 906a
  SAY @90601
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW906","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P906") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 907a
  SAY @90701
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW907","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P907") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 908a
  SAY @90801
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW908","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P908") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 909a
  SAY @90901
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW909","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P909") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 910a
  SAY @91001
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW910","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P910") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 911a
  SAY @91101
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW911","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P911") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END

IF ~~ THEN BEGIN 912a
  SAY @91201
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW912","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P912")
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END 

IF ~~ THEN BEGIN 913a
  SAY @91301
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW913","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P913") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END 

IF ~~ THEN BEGIN 914a
  SAY @91401
IF ~~ THEN REPLY @404 DO ~IncrementGlobal("W_POW914","LOCALS",1)
IncrementGlobal("W_POWS","LOCALS",-1)
SetTokenGlobal("W_POWS","LOCALS","W_POWS")
AddSpecialAbility("W_P914") 
//StartDialogue("W_POWS",Myself)
~ EXIT
IF ~~ THEN REPLY @403 GOTO 900
END
//!cEnd L9

IF ~~ THEN BEGIN QUIT
  SAY ~~
  IF ~~ THEN EXIT
END